Get smart account details
curl --request GET \
--url https://developer-api.squads.so/api/v1/smart-accounts/{smart_account_address} \
--header 'Authorization: Bearer <token>' \
--header 'x-squads-network: <x-squads-network>'import requests
url = "https://developer-api.squads.so/api/v1/smart-accounts/{smart_account_address}"
headers = {
"x-squads-network": "<x-squads-network>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-squads-network': '<x-squads-network>', Authorization: 'Bearer <token>'}
};
fetch('https://developer-api.squads.so/api/v1/smart-accounts/{smart_account_address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"smart_account_address": "<string>",
"signers": [
{
"address": "<string>",
"permissions": []
}
],
"threshold": 123,
"admin_address": "<string>",
"rent_collector": "<string>"
}{
"status": 123,
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"expected": "<string>",
"actual": "<string>"
}
],
"metadata": {
"status": 123,
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_id": "<string>",
"useful_links": [
"<string>"
]
},
"custom": {},
"simulation_logs": [
"<string>"
]
}{
"status": 123,
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"expected": "<string>",
"actual": "<string>"
}
],
"metadata": {
"status": 123,
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_id": "<string>",
"useful_links": [
"<string>"
]
},
"custom": {},
"simulation_logs": [
"<string>"
]
}Smart Accounts
Get Smart Account
Retrieve information about a specific Smart Account
GET
/
api
/
v1
/
smart-accounts
/
{smart_account_address}
Get smart account details
Get detailed information about a Smart Account, including its configuration, signers, and current settings.
Key Concepts
- Account Configuration: View current signers and their permissions
- Threshold Settings: Check the current signature threshold
- Optional Settings: See configured time lock, rent collector, and config authority
Important Notes
- The response includes all active signers and their current permissions
- Time lock and other optional settings will be included if configured
Authorizations
UUID-based API key provided by Squads
Headers
Specifies the network for the API request
Available options:
mainnet, devnet Path Parameters
The address of the smart account
Was this page helpful?
⌘I